gr::radar::msg_manipulator Class Referenceabstract

This block manipulates data in a msg with given identifier (symbol). All data are given as vectors and each index represents a dataset with identifier which should be processed. All other data is pushed through. The addition is performed before the multiplication. More...

`#include <msg_manipulator.h>`

Inheritance diagram for gr::radar::msg_manipulator:

## Public Types

typedef std::shared_ptr< msg_manipulator > | sptr

## Public Member Functions

virtual void | set_const_add (std::vector< float > val)=0
virtual void | set_const_mult (std::vector< float > val)=0

## Static Public Member Functions

static sptr | make (std::vector< std::string > symbols, std::vector< float > const_add, std::vector< float > const_mult)
| Return a shared_ptr to a new instance of radar::msg_manipulator.

## Detailed Description

This block manipulates data in a msg with given identifier (symbol). All data are given as vectors and each index represents a dataset with identifier which should be processed. All other data is pushed through. The addition is performed before the multiplication.

Parameters

  symbols | Identifier (symbols) of data as vector
  const_add | Value to add on the data
  const_mult | Value to multiply on the data

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<msg_manipulator> gr::radar::msg_manipulator::sptr

## Member Function Documentation

## make()

sptr gr::radar::msg_manipulator::make | ( | std::vector< std::string > | symbols,
|  | std::vector< float > | const_add,
|  | std::vector< float > | const_mult )

static

Return a shared_ptr to a new instance of radar::msg_manipulator.

To avoid accidental use of raw pointers, radar::msg_manipulator's constructor is in a private implementation class. radar::msg_manipulator::make is the public interface for creating new instances.

## set_const_add()

virtual void gr::radar::msg_manipulator::set_const_add | ( | std::vector< float > | val | ) |

pure virtual

Implemented in gr::radar::msg_manipulator_impl.

## set_const_mult()

virtual void gr::radar::msg_manipulator::set_const_mult | ( | std::vector< float > | val | ) |

pure virtual

Implemented in gr::radar::msg_manipulator_impl.

The documentation for this class was generated from the following file:

- msg_manipulator.h